# Generated from opengraph_parser-0.2.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name opengraph_parser

Name: rubygem-%{gem_name}
Version: 0.2.5
Release: 1%{?dist}
Summary: A simple Ruby library for parsing Open Graph Protocol information from a website
License: MIT
URL: http://github.com/huyha85/opengraph_parser
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(jeweler)
BuildArch: noarch

%description
A simple Ruby library for parsing Open Graph Protocol information from a
website. It also includes a fallback solution when the website has no Open
Graph information.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Apr 19 2022 mockbuilder - 0.2.5-1
- Initial package
